Viewing docs for Oracle Cloud Infrastructure v4.2.0
published on Friday, Mar 6, 2026 by Pulumi
published on Friday, Mar 6, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.2.0
published on Friday, Mar 6, 2026 by Pulumi
published on Friday, Mar 6, 2026 by Pulumi
This data source provides the list of Vulnerability Audit Application Dependency Vulnerabilities in Oracle Cloud Infrastructure ADM service.
Returns a list of Application Dependencies with their associated vulnerabilities.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testVulnerabilityAuditApplicationDependencyVulnerabilities = oci.Adm.getVulnerabilityAuditApplicationDependencyVulnerabilities({
vulnerabilityAuditId: testVulnerabilityAudit.id,
cvssV2greaterThanOrEqual: vulnerabilityAuditApplicationDependencyVulnerabilityCvssV2greaterThanOrEqual,
cvssV3greaterThanOrEqual: vulnerabilityAuditApplicationDependencyVulnerabilityCvssV3greaterThanOrEqual,
depth: vulnerabilityAuditApplicationDependencyVulnerabilityDepth,
gav: vulnerabilityAuditApplicationDependencyVulnerabilityGav,
purl: vulnerabilityAuditApplicationDependencyVulnerabilityPurl,
rootNodeId: testRootNode.id,
severityGreaterThanOrEqual: vulnerabilityAuditApplicationDependencyVulnerabilitySeverityGreaterThanOrEqual,
vulnerabilityId: testVulnerability.id,
});
import pulumi
import pulumi_oci as oci
test_vulnerability_audit_application_dependency_vulnerabilities = oci.Adm.get_vulnerability_audit_application_dependency_vulnerabilities(vulnerability_audit_id=test_vulnerability_audit["id"],
cvss_v2greater_than_or_equal=vulnerability_audit_application_dependency_vulnerability_cvss_v2greater_than_or_equal,
cvss_v3greater_than_or_equal=vulnerability_audit_application_dependency_vulnerability_cvss_v3greater_than_or_equal,
depth=vulnerability_audit_application_dependency_vulnerability_depth,
gav=vulnerability_audit_application_dependency_vulnerability_gav,
purl=vulnerability_audit_application_dependency_vulnerability_purl,
root_node_id=test_root_node["id"],
severity_greater_than_or_equal=vulnerability_audit_application_dependency_vulnerability_severity_greater_than_or_equal,
vulnerability_id=test_vulnerability["id"])
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/adm"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := adm.GetVulnerabilityAuditApplicationDependencyVulnerabilities(ctx, &adm.GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs{
VulnerabilityAuditId: testVulnerabilityAudit.Id,
CvssV2greaterThanOrEqual: pulumi.Float64Ref(vulnerabilityAuditApplicationDependencyVulnerabilityCvssV2greaterThanOrEqual),
CvssV3greaterThanOrEqual: pulumi.Float64Ref(vulnerabilityAuditApplicationDependencyVulnerabilityCvssV3greaterThanOrEqual),
Depth: pulumi.IntRef(vulnerabilityAuditApplicationDependencyVulnerabilityDepth),
Gav: pulumi.StringRef(vulnerabilityAuditApplicationDependencyVulnerabilityGav),
Purl: pulumi.StringRef(vulnerabilityAuditApplicationDependencyVulnerabilityPurl),
RootNodeId: pulumi.StringRef(testRootNode.Id),
SeverityGreaterThanOrEqual: pulumi.StringRef(vulnerabilityAuditApplicationDependencyVulnerabilitySeverityGreaterThanOrEqual),
VulnerabilityId: pulumi.StringRef(testVulnerability.Id),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testVulnerabilityAuditApplicationDependencyVulnerabilities = Oci.Adm.GetVulnerabilityAuditApplicationDependencyVulnerabilities.Invoke(new()
{
VulnerabilityAuditId = testVulnerabilityAudit.Id,
CvssV2greaterThanOrEqual = vulnerabilityAuditApplicationDependencyVulnerabilityCvssV2greaterThanOrEqual,
CvssV3greaterThanOrEqual = vulnerabilityAuditApplicationDependencyVulnerabilityCvssV3greaterThanOrEqual,
Depth = vulnerabilityAuditApplicationDependencyVulnerabilityDepth,
Gav = vulnerabilityAuditApplicationDependencyVulnerabilityGav,
Purl = vulnerabilityAuditApplicationDependencyVulnerabilityPurl,
RootNodeId = testRootNode.Id,
SeverityGreaterThanOrEqual = vulnerabilityAuditApplicationDependencyVulnerabilitySeverityGreaterThanOrEqual,
VulnerabilityId = testVulnerability.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Adm.AdmFunctions;
import com.pulumi.oci.Adm.inputs.GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testVulnerabilityAuditApplicationDependencyVulnerabilities = AdmFunctions.getVulnerabilityAuditApplicationDependencyVulnerabilities(GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs.builder()
.vulnerabilityAuditId(testVulnerabilityAudit.id())
.cvssV2greaterThanOrEqual(vulnerabilityAuditApplicationDependencyVulnerabilityCvssV2greaterThanOrEqual)
.cvssV3greaterThanOrEqual(vulnerabilityAuditApplicationDependencyVulnerabilityCvssV3greaterThanOrEqual)
.depth(vulnerabilityAuditApplicationDependencyVulnerabilityDepth)
.gav(vulnerabilityAuditApplicationDependencyVulnerabilityGav)
.purl(vulnerabilityAuditApplicationDependencyVulnerabilityPurl)
.rootNodeId(testRootNode.id())
.severityGreaterThanOrEqual(vulnerabilityAuditApplicationDependencyVulnerabilitySeverityGreaterThanOrEqual)
.vulnerabilityId(testVulnerability.id())
.build());
}
}
variables:
testVulnerabilityAuditApplicationDependencyVulnerabilities:
fn::invoke:
function: oci:Adm:getVulnerabilityAuditApplicationDependencyVulnerabilities
arguments:
vulnerabilityAuditId: ${testVulnerabilityAudit.id}
cvssV2greaterThanOrEqual: ${vulnerabilityAuditApplicationDependencyVulnerabilityCvssV2greaterThanOrEqual}
cvssV3greaterThanOrEqual: ${vulnerabilityAuditApplicationDependencyVulnerabilityCvssV3greaterThanOrEqual}
depth: ${vulnerabilityAuditApplicationDependencyVulnerabilityDepth}
gav: ${vulnerabilityAuditApplicationDependencyVulnerabilityGav}
purl: ${vulnerabilityAuditApplicationDependencyVulnerabilityPurl}
rootNodeId: ${testRootNode.id}
severityGreaterThanOrEqual: ${vulnerabilityAuditApplicationDependencyVulnerabilitySeverityGreaterThanOrEqual}
vulnerabilityId: ${testVulnerability.id}
Using getVulnerabilityAuditApplicationDependencyVulnerabilities
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getVulnerabilityAuditApplicationDependencyVulnerabilities(args: GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs, opts?: InvokeOptions): Promise<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult>
function getVulnerabilityAuditApplicationDependencyVulnerabilitiesOutput(args: GetVulnerabilityAuditApplicationDependencyVulnerabilitiesOutputArgs, opts?: InvokeOptions): Output<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult>def get_vulnerability_audit_application_dependency_vulnerabilities(cvss_v2greater_than_or_equal: Optional[float] = None,
cvss_v3greater_than_or_equal: Optional[float] = None,
depth: Optional[int] = None,
filters: Optional[Sequence[GetVulnerabilityAuditApplicationDependencyVulnerabilitiesFilter]] = None,
gav: Optional[str] = None,
purl: Optional[str] = None,
root_node_id: Optional[str] = None,
severity_greater_than_or_equal: Optional[str] = None,
sort_by: Optional[str] = None,
vulnerability_audit_id: Optional[str] = None,
vulnerability_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult
def get_vulnerability_audit_application_dependency_vulnerabilities_output(cvss_v2greater_than_or_equal: Optional[pulumi.Input[float]] = None,
cvss_v3greater_than_or_equal: Optional[pulumi.Input[float]] = None,
depth: Optional[pulumi.Input[int]] = None,
filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetVulnerabilityAuditApplicationDependencyVulnerabilitiesFilterArgs]]]] = None,
gav: Optional[pulumi.Input[str]] = None,
purl: Optional[pulumi.Input[str]] = None,
root_node_id: Optional[pulumi.Input[str]] = None,
severity_greater_than_or_equal: Optional[pulumi.Input[str]] = None,
sort_by: Optional[pulumi.Input[str]] = None,
vulnerability_audit_id: Optional[pulumi.Input[str]] = None,
vulnerability_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult]func GetVulnerabilityAuditApplicationDependencyVulnerabilities(ctx *Context, args *GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs, opts ...InvokeOption) (*GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult, error)
func GetVulnerabilityAuditApplicationDependencyVulnerabilitiesOutput(ctx *Context, args *GetVulnerabilityAuditApplicationDependencyVulnerabilitiesOutputArgs, opts ...InvokeOption) GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResultOutput> Note: This function is named GetVulnerabilityAuditApplicationDependencyVulnerabilities in the Go SDK.
public static class GetVulnerabilityAuditApplicationDependencyVulnerabilities
{
public static Task<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult> InvokeAsync(GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs args, InvokeOptions? opts = null)
public static Output<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult> Invoke(GetVulnerabilityAuditApplicationDependencyVulnerabilitiesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult> getVulnerabilityAuditApplicationDependencyVulnerabilities(GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs args, InvokeOptions options)
public static Output<GetVulnerabilityAuditApplicationDependencyVulnerabilitiesResult> getVulnerabilityAuditApplicationDependencyVulnerabilities(GetVulnerabilityAuditApplicationDependencyVulnerabilitiesArgs args, InvokeOptions options)
fn::invoke:
function: oci:Adm/getVulnerabilityAuditApplicationDependencyVulnerabilities:getVulnerabilityAuditApplicationDependencyVulnerabilities
arguments:
# arguments dictionaryThe following arguments are supported:
- Vulnerability
Audit stringId - Unique Vulnerability Audit identifier path parameter.
- Cvss
V2greater doubleThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- Cvss
V3greater doubleThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- Depth int
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- Filters
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Filter> - Gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- Purl string
- A filter to return only resources that match the entire purl given.
- Root
Node stringId - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- Severity
Greater stringThan Or Equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- Sort
By string - Vulnerability
Id string - A filter to return only Vulnerability Audits that match the specified id.
- Vulnerability
Audit stringId - Unique Vulnerability Audit identifier path parameter.
- Cvss
V2greater float64Than Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- Cvss
V3greater float64Than Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- Depth int
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- Filters
[]Get
Vulnerability Audit Application Dependency Vulnerabilities Filter - Gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- Purl string
- A filter to return only resources that match the entire purl given.
- Root
Node stringId - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- Severity
Greater stringThan Or Equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- Sort
By string - Vulnerability
Id string - A filter to return only Vulnerability Audits that match the specified id.
- vulnerability
Audit StringId - Unique Vulnerability Audit identifier path parameter.
- cvss
V2greater DoubleThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- cvss
V3greater DoubleThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- depth Integer
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- filters
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Filter> - gav String
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- purl String
- A filter to return only resources that match the entire purl given.
- root
Node StringId - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- severity
Greater StringThan Or Equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- sort
By String - vulnerability
Id String - A filter to return only Vulnerability Audits that match the specified id.
- vulnerability
Audit stringId - Unique Vulnerability Audit identifier path parameter.
- cvss
V2greater numberThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- cvss
V3greater numberThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- depth number
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- filters
Get
Vulnerability Audit Application Dependency Vulnerabilities Filter[] - gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- purl string
- A filter to return only resources that match the entire purl given.
- root
Node stringId - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- severity
Greater stringThan Or Equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- sort
By string - vulnerability
Id string - A filter to return only Vulnerability Audits that match the specified id.
- vulnerability_
audit_ strid - Unique Vulnerability Audit identifier path parameter.
- cvss_
v2greater_ floatthan_ or_ equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- cvss_
v3greater_ floatthan_ or_ equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- depth int
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- filters
Sequence[Get
Vulnerability Audit Application Dependency Vulnerabilities Filter] - gav str
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- purl str
- A filter to return only resources that match the entire purl given.
- root_
node_ strid - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- severity_
greater_ strthan_ or_ equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- sort_
by str - vulnerability_
id str - A filter to return only Vulnerability Audits that match the specified id.
- vulnerability
Audit StringId - Unique Vulnerability Audit identifier path parameter.
- cvss
V2greater NumberThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.
- cvss
V3greater NumberThan Or Equal - A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.
- depth Number
- A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" can't be used in conjunction with this latter.
- filters List<Property Map>
- gav String
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- purl String
- A filter to return only resources that match the entire purl given.
- root
Node StringId - A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters "cvssV2GreaterThanOrEqual", "cvssV3GreaterThanOrEqual", "gav" and "vulnerabilityId" cannot be used in conjunction with this parameter.
- severity
Greater StringThan Or Equal - A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.
- sort
By String - vulnerability
Id String - A filter to return only Vulnerability Audits that match the specified id.
getVulnerabilityAuditApplicationDependencyVulnerabilities Result
The following output properties are available:
- Application
Dependency List<GetVulnerability Collections Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection> - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- Id string
- The provider-assigned unique ID for this managed resource.
- Vulnerability
Audit stringId - Cvss
V2greater doubleThan Or Equal - Cvss
V3greater doubleThan Or Equal - Depth int
- Filters
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Filter> - Gav string
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- Purl string
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- Root
Node stringId - Severity
Greater stringThan Or Equal - Sort
By string - Vulnerability
Id string
- Application
Dependency []GetVulnerability Collections Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- Id string
- The provider-assigned unique ID for this managed resource.
- Vulnerability
Audit stringId - Cvss
V2greater float64Than Or Equal - Cvss
V3greater float64Than Or Equal - Depth int
- Filters
[]Get
Vulnerability Audit Application Dependency Vulnerabilities Filter - Gav string
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- Purl string
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- Root
Node stringId - Severity
Greater stringThan Or Equal - Sort
By string - Vulnerability
Id string
- application
Dependency List<GetVulnerability Collections Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection> - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- id String
- The provider-assigned unique ID for this managed resource.
- vulnerability
Audit StringId - cvss
V2greater DoubleThan Or Equal - cvss
V3greater DoubleThan Or Equal - depth Integer
- filters
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Filter> - gav String
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- purl String
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- root
Node StringId - severity
Greater StringThan Or Equal - sort
By String - vulnerability
Id String
- application
Dependency GetVulnerability Collections Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection[] - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- id string
- The provider-assigned unique ID for this managed resource.
- vulnerability
Audit stringId - cvss
V2greater numberThan Or Equal - cvss
V3greater numberThan Or Equal - depth number
- filters
Get
Vulnerability Audit Application Dependency Vulnerabilities Filter[] - gav string
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- purl string
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- root
Node stringId - severity
Greater stringThan Or Equal - sort
By string - vulnerability
Id string
- application_
dependency_ Sequence[Getvulnerability_ collections Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection] - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- id str
- The provider-assigned unique ID for this managed resource.
- vulnerability_
audit_ strid - cvss_
v2greater_ floatthan_ or_ equal - cvss_
v3greater_ floatthan_ or_ equal - depth int
- filters
Sequence[Get
Vulnerability Audit Application Dependency Vulnerabilities Filter] - gav str
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- purl str
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- root_
node_ strid - severity_
greater_ strthan_ or_ equal - sort_
by str - vulnerability_
id str
- application
Dependency List<Property Map>Vulnerability Collections - The list of VulnerabilityAuditApplicationDependencyVulnerability.
- id String
- The provider-assigned unique ID for this managed resource.
- vulnerability
Audit StringId - cvss
V2greater NumberThan Or Equal - cvss
V3greater NumberThan Or Equal - depth Number
- filters List<Property Map>
- gav String
- Group Artifact Version (GAV) identifier (Group:Artifact:Version). Example: org.graalvm.nativeimage:svm:21.1.0. "N/A" for non-maven artifacts.
- purl String
- Package URL identifier, e.g. pkg:maven/org.graalvm.nativeimage/svm@21.1.0
- root
Node StringId - severity
Greater StringThan Or Equal - sort
By String - vulnerability
Id String
Supporting Types
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesApplicationDependencyVulnerabilityCollection
- Items
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item> - List of vulnerability audit summaries.
- Items
[]Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item - List of vulnerability audit summaries.
- items
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item> - List of vulnerability audit summaries.
- items
Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item[] - List of vulnerability audit summaries.
- items
Sequence[Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item] - List of vulnerability audit summaries.
- items List<Property Map>
- List of vulnerability audit summaries.
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesApplicationDependencyVulnerabilityCollectionItem
- Application
Dependency List<string>Node Ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- Gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- Is
Found boolIn Knowledge Base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- Node
Id string - Unique identifier of an application dependency, for example nodeId1.
- Purl string
- A filter to return only resources that match the entire purl given.
- Vulnerabilities
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability> - List of vulnerabilities for the application dependency.
- Warnings List<string>
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
- Application
Dependency []stringNode Ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- Gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- Is
Found boolIn Knowledge Base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- Node
Id string - Unique identifier of an application dependency, for example nodeId1.
- Purl string
- A filter to return only resources that match the entire purl given.
- Vulnerabilities
[]Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability - List of vulnerabilities for the application dependency.
- Warnings []string
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
- application
Dependency List<String>Node Ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- gav String
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- is
Found BooleanIn Knowledge Base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- node
Id String - Unique identifier of an application dependency, for example nodeId1.
- purl String
- A filter to return only resources that match the entire purl given.
- vulnerabilities
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability> - List of vulnerabilities for the application dependency.
- warnings List<String>
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
- application
Dependency string[]Node Ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- gav string
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- is
Found booleanIn Knowledge Base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- node
Id string - Unique identifier of an application dependency, for example nodeId1.
- purl string
- A filter to return only resources that match the entire purl given.
- vulnerabilities
Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability[] - List of vulnerabilities for the application dependency.
- warnings string[]
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
- application_
dependency_ Sequence[str]node_ ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- gav str
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- is_
found_ boolin_ knowledge_ base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- node_
id str - Unique identifier of an application dependency, for example nodeId1.
- purl str
- A filter to return only resources that match the entire purl given.
- vulnerabilities
Sequence[Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability] - List of vulnerabilities for the application dependency.
- warnings Sequence[str]
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
- application
Dependency List<String>Node Ids - List of application dependencies on which this application dependency depends, each identified by its nodeId.
- gav String
- A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.
- is
Found BooleanIn Knowledge Base - Indicates if the artifact is found in the knowledge base, this field is deprecated and will be removed in the future.
- node
Id String - Unique identifier of an application dependency, for example nodeId1.
- purl String
- A filter to return only resources that match the entire purl given.
- vulnerabilities List<Property Map>
- List of vulnerabilities for the application dependency.
- warnings List<String>
- Potential issues in the artifact identifiers (purls) provided by the user, that the user is alerted about. ADM supports the following warnings:
- MISSING_VERSION: Missing version
- INCORRECT_FORMAT_VERSION: Version can not be parsed according to the ecosystem
- UNKNOWN_ECOSYSTEM: The purl's ecosystem is unknown to ADM
- INCORRECT_FORMAT_EPOCH: Epoch qualifier can not be parsed according to the ecosystem
- MISSING_DISTRO: The distro qualifier is required for the ecosystem, but was not provided in the purl
- UNKNOWN_DISTRO: ADM does not have data for the provided distro value for the given ecosystem
- MISSING_ARCH: The arch qualifier is required for the ecosystem and distro, but was not provided in the purl
- UNKNOWN_ARCH: ADM does not have data for the provided arch value for the given ecosystem and distro
- EPOCH_VALUE_MISMATCH: Epoch value in qualifier is not the same as the epoch value in version
- INVALID_PURL: The provided PURL could not be parsed
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesApplicationDependencyVulnerabilityCollectionItemVulnerability
- Cvss
V2score double - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- Cvss
V3score double - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- Id string
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- Is
False boolPositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - Is
Ignored bool - Indicates if the vulnerability was ignored according to the audit configuration.
- Matching
Vulnerable List<GetArtifact Version Ranges Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Matching Vulnerable Artifact Version Range> - List of artifact version ranges affected by a particular vulnerability.
- Metrics
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Metric> - List of reported metrics by the source.
- Severity string
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- Source string
- Source that published the vulnerability
- Cvss
V2score float64 - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- Cvss
V3score float64 - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- Id string
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- Is
False boolPositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - Is
Ignored bool - Indicates if the vulnerability was ignored according to the audit configuration.
- Matching
Vulnerable []GetArtifact Version Ranges Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Matching Vulnerable Artifact Version Range - List of artifact version ranges affected by a particular vulnerability.
- Metrics
[]Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Metric - List of reported metrics by the source.
- Severity string
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- Source string
- Source that published the vulnerability
- cvss
V2score Double - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- cvss
V3score Double - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- id String
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- is
False BooleanPositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - is
Ignored Boolean - Indicates if the vulnerability was ignored according to the audit configuration.
- matching
Vulnerable List<GetArtifact Version Ranges Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Matching Vulnerable Artifact Version Range> - List of artifact version ranges affected by a particular vulnerability.
- metrics
List<Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Metric> - List of reported metrics by the source.
- severity String
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- source String
- Source that published the vulnerability
- cvss
V2score number - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- cvss
V3score number - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- id string
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- is
False booleanPositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - is
Ignored boolean - Indicates if the vulnerability was ignored according to the audit configuration.
- matching
Vulnerable GetArtifact Version Ranges Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Matching Vulnerable Artifact Version Range[] - List of artifact version ranges affected by a particular vulnerability.
- metrics
Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Metric[] - List of reported metrics by the source.
- severity string
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- source string
- Source that published the vulnerability
- cvss_
v2score float - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- cvss_
v3score float - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- id str
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- is_
false_ boolpositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - is_
ignored bool - Indicates if the vulnerability was ignored according to the audit configuration.
- matching_
vulnerable_ Sequence[Getartifact_ version_ ranges Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Matching Vulnerable Artifact Version Range] - List of artifact version ranges affected by a particular vulnerability.
- metrics
Sequence[Get
Vulnerability Audit Application Dependency Vulnerabilities Application Dependency Vulnerability Collection Item Vulnerability Metric] - List of reported metrics by the source.
- severity str
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- source str
- Source that published the vulnerability
- cvss
V2score Number - Common Vulnerability Scoring System (CVSS) Version 2, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV2Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- cvss
V3score Number - Common Vulnerability Scoring System (CVSS) Version 3, calculated from the metrics provided in the CVSS vector provided from the vulnerability source. This field is deprecated and will be removed in the future. The cvssV3Score can be obtained from the metrics field of the listVulnerabilities endpoint.
- id String
- Unique vulnerability identifier, e.g. CVE-1999-0067.
- is
False BooleanPositive - Indicates if the vulnerability is a false positive according to the usage data. If no usage data was provided or the service cannot infer usage of the vulnerable code then this property is
null. - is
Ignored Boolean - Indicates if the vulnerability was ignored according to the audit configuration.
- matching
Vulnerable List<Property Map>Artifact Version Ranges - List of artifact version ranges affected by a particular vulnerability.
- metrics List<Property Map>
- List of reported metrics by the source.
- severity String
- ADM qualitative severity score. Can be either NONE, LOW, MEDIUM, HIGH or CRITICAL.
- source String
- Source that published the vulnerability
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesApplicationDependencyVulnerabilityCollectionItemVulnerabilityMatchingVulnerableArtifactVersionRange
- Version
End stringExcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- Version
End stringIncluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- Version
Start stringExcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- Version
Start stringIncluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
- Version
End stringExcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- Version
End stringIncluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- Version
Start stringExcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- Version
Start stringIncluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
- version
End StringExcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- version
End StringIncluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- version
Start StringExcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- version
Start StringIncluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
- version
End stringExcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- version
End stringIncluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- version
Start stringExcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- version
Start stringIncluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
- version_
end_ strexcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- version_
end_ strincluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- version_
start_ strexcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- version_
start_ strincluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
- version
End StringExcluding - The version immediately after the last affected version. Versions up to, but not including this version, are vulnerable.
- version
End StringIncluding - Marks the latest version that is affected by the vulnerability. This version and all preceding versions, going back to versionStartExcluding or versionStartIncluding, are considered vulnerable.
- version
Start StringExcluding - The version immediately before the start of affected versions. The specified version is not affected, but versions immediately after are, up to versionStartIncluding or beyond, if not otherwise defined.
- version
Start StringIncluding - The first version affected by the vulnerability. This version and those following it are considered vulnerable until versionEndExcluding or versionEndIncluding is reached.
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesApplicationDependencyVulnerabilityCollectionItemVulnerabilityMetric
- Score double
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- Source string
- Source that published the vulnerability
- Type string
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- Value string
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
- Score float64
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- Source string
- Source that published the vulnerability
- Type string
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- Value string
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
- score Double
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- source String
- Source that published the vulnerability
- type String
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- value String
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
- score number
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- source string
- Source that published the vulnerability
- type string
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- value string
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
- score float
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- source str
- Source that published the vulnerability
- type str
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- value str
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
- score Number
- Numerical representation of metric (if exists). For example for CVSS vectors, the score is the base score according to the CVSS scoring system.
- source String
- Source that published the vulnerability
- type String
- Type of the vulnerability metric e.g., CVSS2, CVSS3, Severity.
- value String
- Value of the vulnerability metric e.g., a string representation of a severity value or a cvss vector.
GetVulnerabilityAuditApplicationDependencyVulnerabilitiesFilter
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.2.0
published on Friday, Mar 6, 2026 by Pulumi
published on Friday, Mar 6, 2026 by Pulumi
